Apple отключит поддержку 32-битных приложений

| 4 026
FavoriteLoading В закладки
Apple отключит поддержку 32-битных приложений

С выходом iOS 10.1 Apple начала предупреждать владельцев iPhone 5s и более новых устройств на базе 64-битных процессоров о запуске неадаптированных для актуальной архитектуры приложений.

Компания указывала, что такие программы могут замедлять работу устройства. И таким образом намекала разработчикам на необходимость обновления. И мы часто встречаем их во временно бесплатных программах из App Store.

За скидками в App Store и не только можно следить через раздел распродаж.

А в iOS 10.3 компания указывает, что неадаптированные приложения могут не работать в будущих версиях iOS, намекая на одиннадцатую версию операционной системы.

1

Напомним, Apple поддерживает 64-битные приложения с запуска iPhone 5s в сентябре 2013 года, не пропускает в App Store 32-битные с февраля 2015, а в сентябре 2016 пообещала почистить магазин от старых приложений.

Поставьте оценку:

1 Звезд2 Звезды3 Звезды4 Звезды5 Звезд (Нет голосов)
Оставайся в теме. Подпишись на наш Telegram 👏
... и не забывай читать наш Facebook и Twitter 🍒
FavoriteLoading В закладки
undefined
iPhones.ru
И мы можем больше не увидеть их уже в iOS 11.
Прокомментировать

🙈 Комментарии 20

  1. iWolf avatar
    iWolf31 января 2017
    0

    Значит 11 ось не выкинет и последних 32хбитников в виде 5\5с.
    Ну что же, этот день настал.

    AdventurerRuss31 января 2017
    0

    @iWolf, скорее введут новые функции которые не поддерживают 32 битные процессоры, обнова будет но без фишек.

    iWolf avatar
    iWolf31 января 2017
    0

    @AdventurerRuss, а смысл? Устройства уже стары и слабы по сравнению с актуальными устройствами. Зачем тянуть рудимент? Да, обидно, да досадно. Но увы, это яблоко.

    alexmaru avatar
    alexmaru31 января 2017
    1

    @iWolf, есть вариант лучше – викинут библиотеки 64 -> 32 из 64х битных приложений, и собственно ядра. Это должно дать больше свободного места в оперативке.

    t.r.o.n. avatar
    t.r.o.n.1 февраля 2017
    1

    @alexmaru, bitcode для этого (в том числе) и был создан. Новые девайсы просто не получают из магазина то, что для них не предназначено

    alexmaru avatar
    alexmaru1 февраля 2017
    0

    @t.r.o.n., ну как раз для этого их и нужно скомпилить заново (они хотят помучить софт, который не пересобирался уже года 3), плюс общие библиотеки 64->32 явно всё время в памяти телефона.

    t.r.o.n. avatar
    t.r.o.n.1 февраля 2017
    1

    @alexmaru, так кто мешает все это сделать разрабу. А если ему на все это на…ть, то зачем вам его продукт?

    debil avatar
    debil31 января 2017
    16

    @iWolf,
    >Но увы, это яблоко.
    Ну ох*еть, 4 года прошло, а девайс еще поддерживается — увы, это яблоко! То ли дело ситуация среди девайсов под управлением андроида. Выйдет флагман за 40-50к, а через квартал к нему уже прошивок не выпускается.

    AdventurerRuss1 февраля 2017
    0

    @debil, насчёт андройда легче, конечно обновы не впускаются но софт пашет, большинство с 4.1 работает. А на ios с каждой новой обновой повышают планку, многие уже с 9ки загружаются.

    t.r.o.n. avatar
    t.r.o.n.1 февраля 2017
    0

    @AdventurerRuss, это не проблема системы. Только кривые руки разработчика. IDE в стандартном виде работает с ios7

    vugi avatar
    vugi1 февраля 2017
    0

    @AdventurerRuss, не устанавливайте обновления для ос и аппов, в чем проблема?

    hmx111 февраля 2017
    0

    @debil, имхо, это и не называется поддержкой. А называется выкачкой денег: после 4 лет поддержки пользоваться девайсом на последней ос – то еще удовольствие. А в сторе “приложению блаблабла требуется ос ХХХ”, если ее не обновить. Вот и поддержка. Спрашивается теперь, зачем она?

    t.r.o.n. avatar
    t.r.o.n.1 февраля 2017
    0

    @hmx11, почему недовольство конкретными разрабами выливается адресуется аплу. Не апл-же софт пишет.

    iWolf avatar
    iWolf2 февраля 2017
    0

    @debil, ничего, что ещё во времена 2g/3G/3GS всем стало понятно, что яблоко специально старые устройства убивает до состояния, что им нельзя пользоваться? Место того, чтобы для старого стойкостям сделать личную прошивку, которая не будет лагать и в которой будут какие тотограничения, яблоки пересобирают сборку от флагмана, тех. х-км которой в разы выше, чем у старых устройств. Само собой, это понятно зачем так делает эпл, но не отменяет факта.

  2. iVenom_1993 avatar
    iVenom_199331 января 2017
    2

    Очень-очень плохо. Почему нельзя оставить возможность запускать старые купленные приложения? У меня, например, несколько отличных словарей уже лет 5 не обновлялись, и ничего – на функциональность это никак не влияет. Зачем так издеваться над пользователями?

    t.r.o.n. avatar
    t.r.o.n.1 февраля 2017
    0

    @iVenom_1993, так издевается не апл а горе-разрабы, которые бросили свои приложения

    hmx111 февраля 2017
    1

    @t.r.o.n., ну и что, что их забросили? Если меня устраивает функциональность, которая есть в приложении на данный момент, почему я не могу им пользоваться? Имхо, бред полный.

    t.r.o.n. avatar
    t.r.o.n.1 февраля 2017
    1

    @hmx11, Не бред, а единственно правильно решение.
    1. Вас никто не заставляет обновляться, ведь так? Оставайтесь со старой системой, коль она вам нужнее. (Ведь именно так осталась куча людей на Win XP, из-за того, что софт не работает на более новой). Это естественно.
    2. Если приложение вышло года 2-2.5 назад, то в нем уже должна быть поддержка новой архитектуры. Следовательно – вашей проблемы просто нет.
    3. Такие требования, возможно, заставят разрабов обновить свой софт (следовательно – увеличит прыбыль самого апла)

    Все естественно и логично.

    vsokolov avatar
    vsokolov1 февраля 2017
    0

    @t.r.o.n., “Tonight your iPhone will update if connected to power”,
    а так, конечно, никто не заставляет обновляться.

    Pavel Loskutov10 марта 2017
    0

    @vsokolov, поставьте профиль от tvOS – не будет видеть обновлений для iOS

Вы должны авторизоваться или зарегистрироваться для комментирования.

Нашли орфографическую ошибку в новости?

Выделите ее мышью и нажмите Ctrl+Enter.

Как установить аватар в комментариях?

Ответ вот здесь